curl --request POST \
--url https://api.dooki.com.br/v2/{alias}/logistics/warehouses \
--header 'Content-Type: application/json' \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>' \
--data '
{
"country_code": "<string>",
"name": "<string>",
"zipcode": "<string>",
"street": "<string>",
"number": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"state": "<string>",
"complement": "<string>"
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/logistics/warehouses"
payload = {
"country_code": "<string>",
"name": "<string>",
"zipcode": "<string>",
"street": "<string>",
"number": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"state": "<string>",
"complement": "<string>"
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
country_code: '<string>',
name: '<string>',
zipcode: '<string>',
street: '<string>',
number: '<string>',
neighborhood: '<string>',
city: '<string>',
state: '<string>',
complement: '<string>'
})
};
fetch('https://api.dooki.com.br/v2/{alias}/logistics/warehouses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"country_code": "<string>",
"name": "<string>",
"zipcode": "<string>",
"street": "<string>",
"number": "<string>",
"complement": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"state": "<string>",
"created_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"updated_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
}
}Criar armazéns
Cria um novo armazém com os dados especificados
Path Parameters
Alias da loja
Body
Representa os dados necessários para criar ou atualizar um armazém
Código do país do armazém no padrão ISO 3166-1 alfa-2 (ex.: BR). Precisa ser um país cadastrado.
Nome do armazém, único na loja, com até 191 caracteres.
CEP do endereço do armazém. Caracteres não numéricos são removidos automaticamente.
Nome da rua do endereço do armazém.
Número do endereço do armazém.
Bairro do endereço do armazém.
Cidade do endereço do armazém.
Unidade federativa (estado) do endereço do armazém.
Complemento do endereço do armazém, quando houver.
Response
Lista de armazéns
Armazém da loja, com o endereço de origem usado pelos estoques vinculados a ele.
ID do armazém.
Código do país do armazém no padrão ISO 3166-1 alfa-2 (ex.: BR).
Nome do armazém, único na loja.
CEP do endereço do armazém, apenas dígitos.
Nome da rua do endereço do armazém.
Número do endereço do armazém.
Complemento do endereço do armazém, quando houver.
Bairro do endereço do armazém.
Cidade do endereço do armazém.
Unidade federativa (estado) do endereço do armazém.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?